<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<head>
	<meta charset="UTF-8" />
	<title>The Bookshop</title>
	<meta name="viewport" content="width=device-width, initial-scale=1.0" />
	
	<!-- See configuration in WebMvConfig.java -->
	<link th:href="@{/bootstrap/css/bootstrap.min.css}" rel="stylesheet"
		media="screen" />
	
	<script th:src="@{/jquery/jquery.min.js}"></script>
	<script th:src="@{/popper/popper.min.js}"></script>
	<script th:src="@{/bootstrap/js/bootstrap.min.js}"></script>
	
	<link href="//maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css" rel="stylesheet">
	
</head>

<body>

	<h2 style="text-align: center" th:text="|${genre}-Books|">Welcome to the Bookshop</h2>
	
	<img th:src="@{/images/books-top.png}"
		style="width: 55vw; min-width: 300px; display: block; margin-left: auto; margin-right: auto;" />

	<p>

	<div class="col text-center">
		<p>
 		<button onclick="window.history.back()" class="btn btn-primary">Go Back</button>
		<a th:href="@{/}" class="btn btn-secondary">Main Page</a>
	</div>

	<table class="table" style="margin: auto; width: 50%;">
		<thead>
			<tr>
				<th>Title<a  th:href="@{'/books/genre/' + ${genre.id} + '?sort-field=title'}" class="text-decoration-none"><i class="fa fa-fw fa-sort"></i></a></th>
				<th>Author<a th:href="@{'/books/genre/' + ${genre.id} + '?sort-field=author'}" class="text-decoration-none"><i class="fa fa-fw fa-sort"></i></a></th>
				<th>Year<a   th:href="@{'/books/genre/' + ${genre.id} + '?sort-field=year'}" class="text-decoration-none"><i class="fa fa-fw fa-sort"></i></a></th>
			</tr>
		</thead>
		<tbody>
			<tr th:if="${books.empty}">
				<td colspan="3">No books found</td>
			</tr>
			<tr th:each="book : ${books}">
				<td><a th:href="@{'/book/' + ${book.id}}" class="text-decoration-none"><span th:text="${book.title}">Title</span></a></td>
				<td><a th:href="@{'/books/author/' + ${book.author.id}}" class="text-decoration-none"><span th:text="${book.author}">Author</span></a></td>
				<td><span th:text="${book.year}">Year</span></td>
			</tr>
		</tbody>
	</table>

	
	<div th:if="${!books.empty && session.booksByGenreSlice.pageCount >= 2}" class="col text-center">
		<p>	
		<span th:each="page : ${session.booksByGenreSlice.pages}">
			<span th:if="${page.shouldLink()}">
				<a th:href="@{'/books/genre/' + ${genre.id} + '?page=' + ${page.number}}" class="text-decoration-none">
					<span th:text="${page}">Page</span>
				</a>
			</span>
			<span th:unless="${page.shouldLink()}">
					<span th:text="${page}">Page</span>
			</span>

			<span th:text="${page.delimiter}">|</span>
		</span>
		<p>	
	</div>
	

	<img th:src="@{/images/books-bottom.png}"
		style="width: 55vw; min-width: 300px; display: block; margin-left: auto; margin-right: auto;" />

	<p>
	
	<div th:if="${!books.empty}" class="col text-center">
		<p>
 		<button onclick="window.history.back()" class="btn btn-primary">Go Back</button>
		<a th:href="@{/}" class="btn btn-secondary">Main Page</a>
	</div>

</body>
</html>
